@echo off
if "%1"=="" goto loop
copy selection%1.in selection.in >nul
echo.
echo ------------------selection #%1------------------
echo Start: %time%
selection.exe
echo End:   %time%
fc selection.out selection%1.ans
pause
goto del
:loop
for %%i in (1 2 3 4 5 6 7 8 9 10) do call %0 %%i
goto end
:del
del selection.in
del selection.out
:end
